# Class ContentAssistField

java.lang.Object
org.eclipse.jface.fieldassist.DecoratedField
org.eclipse.ui.fieldassist.ContentAssistField

@Deprecated public class ContentAssistField extends DecoratedField
Deprecated.
As of 3.3, clients should use `ControlDecoration` and `ContentAssistCommandAdapter` instead of this class.
ContentAssistField utilizes the concepts of a `DecoratedField` and the `ContentAssistCommandAdapter` to provide a decorated field that shows a content assist cue when it gets focus and invokes content assist for a specified command.

This class is not intended to be subclassed.

Since:
  3.2

## Constructor Summary

Constructors
Constructor
Description
`ContentAssistField(Composite parent, int style, IControlCreator controlCreator, IControlContentAdapter controlContentAdapter, IContentProposalProvider proposalProvider, String commandId, char[] autoActivationCharacters)`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`ContentAssistCommandAdapter`
`getContentAssistCommandAdapter()`
Deprecated.
`void`
`setEnabled(boolean enabled)`
Deprecated.

### Methods inherited from class DecoratedField

`addFieldDecoration, getControl, getLayoutControl, hideDecoration, hideHover, setUseMaximumDecorationWidth, showDecoration, showHoverText, updateDecoration`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ContentAssistField

@Deprecated public ContentAssistField(Composite parent, int style, IControlCreator controlCreator, IControlContentAdapter controlContentAdapter, IContentProposalProvider proposalProvider, String commandId, char[] autoActivationCharacters)
Deprecated.
Construct a content assist field that shows a content assist cue and can assist the user with choosing content for the field.

Parameters:
  `parent` - the parent of the decorated field.
  `style` - the desired style bits for the field.
  `controlCreator` - the IControlCreator used to specify the specific kind of control that is to be decorated.
  `controlContentAdapter` - the `IControlContentAdapter` used to obtain and update the control's contents as proposals are accepted. May not be `null`.
  `proposalProvider` - the `IContentProposalProvider` used to obtain content proposals for this control, or `null` if no content proposal is available.
  `commandId` - the String id of the command that will invoke the content assistant. If not supplied, the default value will be "org.eclipse.ui.edit.text.contentAssist.proposals".
  `autoActivationCharacters` - An array of characters that trigger auto-activation of content proposal. If specified, these characters will trigger auto-activation of the proposal popup, regardless of the specified command id.

## Method Details

### setEnabled

@Deprecated public void setEnabled(boolean enabled)
Deprecated.
Set the boolean flag that determines whether the content assist is enabled.

Parameters:
  `enabled` - `true` if content assist is enabled and responding to user input, `false` if it is ignoring user input.

### getContentAssistCommandAdapter

@Deprecated public ContentAssistCommandAdapter getContentAssistCommandAdapter()
Deprecated.
Return the ContentAssistCommandAdapter installed on the receiver. This adapter is provided so that clients can configure the adapter if the default values are not appropriate.

Returns:
  the ContentAssistCommandAdapter installed on the field.